4.16. Thông tin sao kê tiền

GET/erebos/v2/digital/trans-hist-cashStatements
Lấy thông tin sao kê tiền (lịch sử giao dịch tiền) của một tiểu khoản.

Header

TênKiểuBắt buộcMô tả
AuthorizationstringBearer <access token>.
Content-Typestringapplication/json.

Request parameter

TênKiểuBắt buộcMô tả
accountNostringSố tiểu khoản.
fromDatestringTừ ngày giao dịch (YYYY-MM-DD).
toDatestringĐến ngày giao dịch (YYYY-MM-DD).
pageSizestringSố bản ghi mỗi trang.
pageIndexstringSố trang.
transactionCodestringLoại giao dịch.
GET /erebos/v2/digital/trans-hist-cashStatements?accountNo=0001170730&fromDate=2025-01-01&toDate=2025-01-15&pageSize=25&pageIndex=1&transactionCode=1153
curl "https://openapi.tcbs.com.vn/erebos/v2/digital/trans-hist-cashStatements?accountNo=0001170730&fromDate=2025-01-01&toDate=2025-01-15&pageSize=25&pageIndex=1&transactionCode=1153" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json"

Response

TênKiểuBắt buộcMô tả
response.pageIndexint64Page index.
response.pageSizeint64Page size.
response.totalCreditAmountint64Tổng phát sinh giảm.
response.totalDebitAmountint64Tổng phát sinh tăng.
response.totalCountint64Tổng số bản ghi.
response.data[].custodyIDstringSố tài khoản.
response.data[].transactionCodestringLoại giao dịch.
response.data[].transactionNamestringTên loại giao dịch.
response.data[].debitAmountnumberSố tiền phát sinh tăng.
response.data[].creditAmountnumberSố tiền phát sinh giảm.
response.data[].businessDatestringNgày làm việc.
response.data[].transactionDatestringNgày giao dịch.
response.data[].descriptionsstringMô tả.
{
  "response": {
    "pageIndex": 1,
    "pageSize": 25,
    "totalCreditAmount": 9545594,
    "totalDebitAmount": 10715,
    "totalCount": 8,
    "data": [
      {
        "custodyID": "105C209414",
        "transactionCode": "1153",
        "transactionName": "Ứng trước tiền bán",
        "debitAmount": 0,
        "creditAmount": 2814359,
        "businessDate": "2022-12-16",
        "transactionDate": "2022-12-16",
        "transactionNum": "6800124310",
        "accountNo": "0001490922",
        "descriptions": "UTTB ngày GD 16-DEC-22, ngày TT 20/12/2022"
      }
    ]
  }
}